GET api/NTSetting/GetCaseOutComeQuestion?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCaseOutComeQuestionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CaseOutComeQuestionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"Name": "sample string 2",
"QuestionType": 3,
"CaseOutComeTypeId": 1,
"CaseOutComeType": "sample string 4",
"CaseOutcomeOptionList": [
{
"Id": 1,
"Name": "sample string 2",
"COSQuestionId": 3,
"NeedMoreInfo": true,
"ParentId": 1,
"QuestionName": "sample string 5",
"AnswerValue": 1,
"AnswerDetail": "sample string 6",
"ParentLevel1": 1,
"COSFormId": 1,
"Code": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:01:31.7105439-07:00",
"DateUpdated": "2026-06-20T03:01:31.7105439-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"COSQuestionId": 3,
"NeedMoreInfo": true,
"ParentId": 1,
"QuestionName": "sample string 5",
"AnswerValue": 1,
"AnswerDetail": "sample string 6",
"ParentLevel1": 1,
"COSFormId": 1,
"Code": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:01:31.7105439-07:00",
"DateUpdated": "2026-06-20T03:01:31.7105439-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
],
"COSFormTypeId": 5,
"Form": "sample string 6",
"ParentLevel1": 1,
"OptionCount": 7,
"Code": "sample string 8",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:01:31.7105439-07:00",
"DateUpdated": "2026-06-20T03:01:31.7105439-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"QuestionType": 3,
"CaseOutComeTypeId": 1,
"CaseOutComeType": "sample string 4",
"CaseOutcomeOptionList": [
{
"Id": 1,
"Name": "sample string 2",
"COSQuestionId": 3,
"NeedMoreInfo": true,
"ParentId": 1,
"QuestionName": "sample string 5",
"AnswerValue": 1,
"AnswerDetail": "sample string 6",
"ParentLevel1": 1,
"COSFormId": 1,
"Code": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:01:31.7105439-07:00",
"DateUpdated": "2026-06-20T03:01:31.7105439-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"COSQuestionId": 3,
"NeedMoreInfo": true,
"ParentId": 1,
"QuestionName": "sample string 5",
"AnswerValue": 1,
"AnswerDetail": "sample string 6",
"ParentLevel1": 1,
"COSFormId": 1,
"Code": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:01:31.7105439-07:00",
"DateUpdated": "2026-06-20T03:01:31.7105439-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
],
"COSFormTypeId": 5,
"Form": "sample string 6",
"ParentLevel1": 1,
"OptionCount": 7,
"Code": "sample string 8",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:01:31.7105439-07:00",
"DateUpdated": "2026-06-20T03:01:31.7105439-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}